List Messages
GET /api/creative/email/messages/
GET
/api/creative/email/messages/
List messages for an account + folder with pagination, sorting, and filtering.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” account_id
required
Account Id
string
folder
Folder
string
offset
Offset
integer
limit
Limit
integer
sort_by
Sort By
string
sort_order
Sort Order
string
filter_unread
Filter Unread
boolean
filter_starred
Filter Starred
boolean
Responses
Section titled “ Responses ”Successful Response
EmailMessageListResponse
Response wrapper for message list operations.
object
success
required
Success
Operation success
boolean
messages
Messages
Array<object>
EmailMessageDataA single email message.
object
id
required
Id
Message ID
string
accountId
required
Accountid
string
messageId
required
Messageid
string
folder
required
Folder
string
subject
required
Subject
string
fromAddress
required
Fromaddress
string
fromName
required
Fromname
string
toAddresses
Toaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
ccAddresses
Ccaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
bccAddresses
Bccaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
bodyText
required
Bodytext
string
bodyHtml
required
Bodyhtml
string
isRead
required
Isread
boolean
isStarred
required
Isstarred
boolean
isDeleted
required
Isdeleted
boolean
isSpam
required
Isspam
boolean
spamScore
required
Spamscore
number
hasAttachments
required
Hasattachments
boolean
attachmentsMeta
Attachmentsmeta
Array<object>
AttachmentMetaDataMetadata for an email attachment.
object
name
required
Name
string
size
required
Size
integer
contentType
required
Contenttype
string
storedPath
Storedpath
string
referencesHeader
required
Referencesheader
string
threadId
Threadid
string
dateSent
required
Datesent
integer
createdAt
required
Createdat
Unix timestamp
integer
modifiedAt
required
Modifiedat
Unix timestamp
integer
total
Total
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context